#!/bin/bash

#
#	build the prog
#

make mkjulia
if [ $? -ne 0 ] ; then
	echo
	echo "Make error " $?
	exit 1
fi

cxa=" -1.5 "
cya=" -1.0 "
cxb="  1.1 "
cyb="  2.1 "
nbi=" 180 "

#
#	run the prog
#
workdir="frames/julia/"
for foo in $( seq 0 $(( nbi - 1)) )
do
	img=$(printf "%s/%05d.pnm" $workdir $foo)

	Ka=$( echo "$foo / $nbi"			| bc -l)
	Kb=$( echo "1.0 - $Ka"				| bc -l)
	# echo $Ka $Kb
	cx=$(echo "($cxa*$Ka) + ($cxb*$Kb)"		| bc -l)
	cy=$(echo "$cya*$Ka + $cyb*$Kb"			| bc -l)

	printf "%5d  %4.6f %4.6f     %4.6f  %4.6f\n"		\
		$foo $Ka $Kb         $cx $cy
	./mkjulia $img $cx $cy

done

mogrify						\
	-gravity South-East			\
	-font Courier-Bold			\
	-pointsize 12				\
	-fill Black				\
	-annotate +10+4 "Konrad+tTh 2024"	\
	"${workdir}/*.pnm"

echo ; echo "Encoding, please wait..."

convert -delay 10 $workdir/*.pnm color-julia.gif

